#pragma once
#include "Updates.h"
#include <vector>

constexpr int SCRWIDTH =	1920;
constexpr int SCRHEIGHT =	1080;
constexpr int DISPLAY = 0;

// -1 means no cap
constexpr int FPSCAP = 60;
constexpr bool SHOWDEBUG = true;
constexpr int MAXDRAWSIZE = 25;
constexpr int BORDERSIZE = 3;

// menu settings
constexpr int MENUSIZE = 250;
constexpr int TEXTSIZE = 4;

enum struct Types
{
	Air,
	Sand,
	Water,
	Lava,
	Stone,
	Clone,
	Block,
	Ice,
	Cloud,
	Fire,
	Oil,
	Powder,
	Acid,
	Gas,
};

class Sandbox
{
public:
	Types draw = Types::Air;
	int drawsize = 25;
	int Speed = 1;
	bool MenuOpen = false;
	std::vector<Update*> Menu;

	std::vector<Update*> cells;
	Update** grid = new Update*[SCRHEIGHT * SCRWIDTH];
};